Page MenuHomeFreeBSD

shells/bash-completion: Define do-test.
ClosedPublic

Authored by 0mp on Nov 28 2018, 4:02 PM.

Details

Summary

This revision defines the do-test target to make running tests for this port easier on FreeBSD.

The return codes of the test suite scripts are ignored as many tests still fail
(mostly due to incompatibilities between FreeBSD and other systems).

Also, tests have to be started from an interactive console: printf '%s\n' 'cd /usr/ports/shells/bash-completion' 'make test' | poudriere testport -i -j jail -o shells/bash-completion didn't work while running make test manually worked. It is probably related to https://github.com/scop/bash-completion/blob/2.8/doc/testing.txt#L149.

Test Plan
console
host# poudriere testport -i -j jail -o shells/bash-completion
jail# cd /usr/ports/shells/bash-completion && make test

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Nov 28 2018, 4:02 PM
mat added inline comments.Dec 6 2018, 3:38 PM
shells/bash-completion/Makefile
6 ↗(On Diff #51293)

Why?

sunpoet added inline comments.Jan 5 2019, 9:10 PM
shells/bash-completion/Makefile
6 ↗(On Diff #51293)

Yes, there's no need to bump PORTREVISION for BUILD_DEPENDS and TEST_DEPENDS changes.

18 ↗(On Diff #51293)

I was told by @mat to remove RUN_DEPENDS from TEST_DEPENDS.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 5 2019, 10:47 PM
Closed by commit rP489413: Add do-test: (authored by sunpoet, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.